using System;
using System.Collections.Generic;
using System.Linq;
using MySystem.Models;

namespace MySystem
{
    public class RelationClassForConst
    {
        public static string GetMerchantTypeInfo(int key)
        {
            string result = "";
            switch (key)
            {
                case 0:
                    result = "非商户型合伙人";
                    break;
                case 1:
                    result = "商户型合伙人";
                    break;
            }
            return result;
        }

        public static string GetChangeTypeInfo(int key)
        {
            using (WebCMSEntities db = new WebCMSEntities())
            {
                ChangeTypes item = db.ChangeTypes.FirstOrDefault(m => m.Id == key);
                if (item != null)
                {
                    return item.Name;
                }
            }
            return "";
            // string result = "";
            // switch (key)
            // {
            //     case 0:
            //         result = "激活奖励";
            //         break;
            //     case 1:
            //         result = "交易分润";
            //         break;
            //     case 11:
            //         result = "月月红";
            //         break;
            //     case 12:
            //         result = "交易奖励";
            //         break;
            //     case 2:
            //         result = "提现申请";
            //         break;
            //     case 3:
            //         result = "提现代付";
            //         break;
            //     case 4:
            //         result = "提现手续费";
            //         break;
            //     case 5:
            //         result = "提现税点扣除";
            //         break;
            //     case 6:
            //         result = "提现失败，解冻";
            //         break;
            //     case 61:
            //         result = "系统冻结";
            //         break;
            //     case 62:
            //         result = "系统解冻";
            //         break;
            //     case 63:
            //         result = "系统扣减";
            //         break;
            //     case 64:
            //         result = "系统奖励";
            //         break;
            //     case 65:
            //         result = "押金暂扣";
            //         break;
            //     case 66:
            //         result = "押金退还";
            //         break;
            //     case 7:
            //         result = "系统扣除";
            //         break;
            //     case 10:
            //         result = "办卡奖励";
            //         break;
            //     case 20:
            //         result = "余额支付";
            //         break;
            //     case 21:
            //         result = "余额退款";
            //         break;
            //     case 22:
            //         result = "余额退款手续费";
            //         break;
            //     case 30:
            //         result = "红包奖励";
            //         break;
            //     case 31:
            //         result = "活动奖励";
            //         break;
            //     case 40:
            //         result = "商户达标返";
            //         break;
            //     case 50:
            //         result = "开机奖励";
            //         break;
            //     case 60:
            //         result = "流量卡分佣";
            //         break;
            //     case 111:
            //         result = "分润补贴";
            //         break;
            //     case 112:
            //         result = "推荐奖励";
            //         break;
            //     case 113:
            //         result = "招商节奖励";
            //         break;
            //     case 114:
            //         result = "私董会分红";
            //         break;
            //     case 115:
            //         result = "分仓奖励";
            //         break;
            //     case 116:
            //         result = "大盟主奖励";
            //         break;
            //     case 117:
            //         result = "大盟主奖励(储蓄金入账)";
            //         break;
            //     case 118:
            //         result = "大盟主奖励(购机奖励)";
            //         break;
            //     case 119:
            //         result = "分仓临时额度退还";
            //         break;
            //     case 120:
            //         result = "运营中心(购机奖励)";
            //         break;
            //     case 121:
            //         result = "运营中心奖励";
            //         break;
            //     case 122:
            //         result = "推荐大盟主奖励";
            //         break;
            //     case 123:
            //         result = "推荐小盟主奖励";
            //         break;
            //     case 124:
            //         result = "扣机具货款";
            //         break;
            //     case 125:
            //         result = "软件服务费";
            //         break;
            //     case 126:
            //         result = "机具货款退还";
            //         break;
            //     case 127:
            //         result = "运营中心分仓奖励";
            //         break;
            //     case 128:
            //         result = "合伙人(购机奖励)";
            //         break;
            //     case 130:
            //         result = "码牌激活奖励";
            //         break;
            //     case 131:
            //         result = "预发临时额度退还";
            //         break;
            //     case 132:
            //         result = "直营团队提现";
            //         break;
            //     case 133:
            //         result = "立刷加码奖励";
            //         break;
            //     case 201:
            //         result = "分期预扣款";
            //         break;
            //     case 202:
            //         result = "创客预扣款";
            //         break;
            // }
            // return result;
        }

        public static string GetTradeTypeInfo(int key)
        {
            string result = "";
            switch (key)
            {
                case 1:
                    result = "消费代付";
                    break;
                case 2:
                    result = "用户提现";
                    break;
                case 3:
                    result = "盟主提现";
                    break;
                case 4:
                    result = "助利宝提现";
                    break;
            }
            return result;
        }

        public static string GetBizTypeInfo(int key)
        {
            string result = "";
            switch (key)
            {
                case 30:
                    result = "红包奖励";
                    break;
                case 31:
                    result = "活动奖励";
                    break;
                case 7:
                    result = "系统扣减";
                    break;
                case 114:
                    result = "私董会分红";
                    break;
                case 115:
                    result = "分仓奖励";
                    break;
            }
            return result;
        }



    }
}